Subject: Re: [hybi] I-D Action: draft-ietf-hybi-thewebsocketprotocol-17.txt

From: Takeshi Yoshino <[email-masked]>
Date: Mon, 3 Oct 2011 14:23:22 +0900

On Sat, Oct 1, 2011 at 12:53, "Martin J. Dürst" <[email-masked]>wrote:

> I'm okay with what Ian proposed, but there are other ways to do this that
> may be more explicit.
>
> How about something like:
>
>
>     frame-payload-length    = %x00-7D    ; 7 bits in length
>                             / %x7E frame-payload-length-16
>                                          ; 7+16 bits in length
>                             / %x7F frame-payload-length-63
>                                          ; 7+64 bits in length
>
>
Please add parentheses as RFC5234 recommends.

    frame-payload-length    = %x00-7D    ; 7 bits in length
                            / ( %x7E frame-payload-length-16 )
                                         ; 7+16 bits in length
                            / ( %x7F frame-payload-length-63 )
                                         ; 7+64 bits in length

> Another alternative is:
>
>     frame-payload-length    = short-frame-payload-length
>                             / middle-frame-payload-length
>                             / long-frame-payload-length
>
> and then:
>
>     short-frame-payload-length  = %x00-7D ; 7 bits in length
>
>     middle-frame-payload-length = %x7E frame-payload-length-16
>                                   ; 7+16 bits in length
>
>     long-frame-payload-length   = %x7F frame-payload-length-63
>                                   ; 7+64 bits in length
>
>
Taking this way is also fine.